PARALLEL-SCP(1)

NAME
parallel-scp - parallel versions of scp

SYNOPSIS
parallel-scp [OPTIONS] -h hosts.txt local remote

DESCRIPTION
pssh provides a number of commands for executing against a group of computers, using SSH. It's most useful for operating on clusters of homogenously-configured hosts.

parallel-scp copy files in parallel to a set of machines.

OPTIONS

-r --recursive
    recusively copy directories (OPTIONAL)

-h --hosts
    hosts file (each line "host[:port] [user]")

-l --user
    username (OPTIONAL)

-p --par
    max number of parallel threads (OPTIONAL)

-o --outdir
    output directory for stdout files (OPTIONAL)

-e --errdir
    output directory for stderr files (OPTIONAL)

-t --timeout
    timeout (secs) (-1 = no timeout) per host (OPTIONAL)

-O --options
    SSH options (OPTIONAL)

-v --verbose
    turn on warning and diagnostic messages (OPTIONAL)

EXAMPLE
The following example runs hostname on three machines (IPs or hostnames) specified in the file ips.txt using login irb2 and saves the output in /tmp/foo.

    # parallel-scp -h ips.txt -l irb2 /etc/hosts /tmp/hosts
    Success on 128.112.152.122:22
    Success on 18.31.0.190:22
    Success on 128.232.103.201:22

ENVIRONMENT
All four programs take similar sets of options. All of these options can be set using the following environment variables:

    • PSSH_HOSTS
    • PSSH_USER
    • PSSH_PAR
    • PSSH_OUTDIR
    • PSSH_VERBOSE
    • PSSH_OPTIONS

SEE ALSO
parallel-ssh(1), parallel-slurp(1), parallel-nuke(1), parallel-rsync(1), ssh(1), scp(1),

AUTHOR
Brent N. Chun <bnc@theether.org>

COPYING
Copyright: 2003, 2004, 2005, 2006, 2007 Brent N. Chun

NOTES

1.  bnc@theether.org
    mailto:bnc@theether.org